/*-----------------------------------------------------------------
	Search Box & Forms
------------------------------------------------------------------- */

.searchbox-container {
	position: relative;
	margin: auto;
	width: 300px;
	height: 50px;
	float: right;
	margin-top:5px;
  }
  .searchbox-container .search {
	position: absolute;
	margin: 0 0 0 auto;
	right: 0px;
	width: 50px;
	height: 50px;
	background: rgba(29, 29, 29, 0);
	border: 2px solid rgb(29, 29, 29);
	border-radius: 50%;
	transition: all 1s;
	z-index: 4;
  }
  .searchbox-container .search:hover {
	cursor: pointer;
  }
  .searchbox-container .search::before {
	content: "";
	position: absolute;
	margin: auto;
	top: 14px;
	right: 0;
	bottom: 0;
	left: 14px;
	width: 12px;
	height: 2px;
	background: rgba(29, 29, 29);
	transform: rotate(45deg);
	transition: all 0.5s;
  }
  .searchbox-container .search::after {
	content: "";
	position: absolute;
	margin: auto;
	top: -5px;
	right: 0;
	bottom: 0;
	left: -5px;
	width: 15px;
	height: 15px;
	border-radius: 50%;
	border: 2px solid rgba(29, 29, 29);
	transition: all 0.5s;
  }
  .searchbox-container input {
	font-family: "Inconsolata", monospace;
	position: absolute;
	float:right;
	margin: 0 0 0 auto;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	width: 50px;
	height: 50px;
	outline: none;
	border: none;
	background: rgba(51, 51, 51, 0.726);
	color: white;
	text-shadow: 0 0 5px rgba(51, 51, 51, 0.726);
	padding: 0 20px 0 80px;
	border-radius: 30px;
	box-shadow: 0 0 25px 0 rgb(66, 66, 66), 0 20px 25px 0 rgba(0, 0, 0, 0.2);
	transition: all 1s;
	opacity: 0;
	z-index: 5;
	font-weight: bolder;
	letter-spacing: 0.1em;
  }
  .searchbox-container input:hover {
	cursor: pointer;
  }
  .searchbox-container input:focus {
	width: 300px;
	opacity: 1;
	cursor: text;
	color: white;
  }
  .searchbox-container input:focus ~ .search {
	transform: translate(-250px,0);
    -webkit-transform: translate(-250px,0); 
    -o-transform: translate(-250px,0); 
    -moz-transform: translate(-250px,0);
	background: #151515;
	z-index: 6;
  }
  .searchbox-container input:focus ~ .search::before {
	top: 0;
	left: 0;
	width: 25px;
	background: white;
  }
  .searchbox-container input:focus ~ .search::after {
	top: 0;
	left: 0;
	width: 25px;
	height: 2px;
	border: none;
	background: white;
	border-radius: 0%;
	transform: rotate(-45deg);
  }
  .searchbox-container input::placeholder {
	color: white;
	font-weight: bolder;
	}

/* Search Form */
.search-form { 
	position: relative;
	margin-bottom: 0;
	display: flex;
	align-items: center;
	background: var(--background-nav-color);
	border-radius: 25px;
	overflow: hidden;
	width: 250px;
	margin: 0 auto;
}

input.search-field {
	height: 40px;
	color: #555;
	border: 1px solid #555;
	width: 100%;
	padding-left: 15px;
	font-size: 15px;
	border: none;
	padding: 10px;
	font-size: 16px;
	height: 100%;
	flex: 1;
	outline: none;
}

.search-button {
	background: var(--background-nav-stronger);
	border: none;
	padding: 15px 15px;
	cursor: pointer;
	font-size: 16px;
	transition: background 0.3s ease;
}

.search-button:hover {
	background: var(--selection-color);
}

.search-submit {
	font-size: 16px;
	cursor: pointer;
	color: #fff;
	width: 38px;
	height: 38px;
	position: absolute;
	top: 1px;
	right: 1px;
	background: #83a430;
	margin: 0;
	padding: 0;
	border: none;
}

.search-submit:hover {
	opacity: 0.8;
}
